# mirage

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.1.0](https://img.shields.io/badge/AppVersion-0.1.0-informational?style=flat-square)

UI for the ory stack (kratos, hydra, etc.) built with phoenix in elixir

**Homepage:** <https://gitlab.com/oecis/charts/-/tree/main/charts/mirage>

## Source Code

* <https://gitlab.com/oecis/mirage>

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | postgresql | 12.1.x |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| fullnameOverride | string | `""` |  |
| global.postgresqlEnabled | bool | `true` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"registry.oecis.io/oecis/mirage"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| mirage.autoMigration | bool | `true` |  |
| mirage.db.database | string | `""` |  |
| mirage.db.existingSecret | string | `""` |  |
| mirage.db.host | string | `""` |  |
| mirage.db.password | string | `""` |  |
| mirage.db.port | int | `5432` |  |
| mirage.db.secretKeys.dbPasswordKey | string | `"user-password"` |  |
| mirage.db.user | string | `""` |  |
| mirage.hostBaseUrl | string | `"http://localhost/"` |  |
| mirage.hydra.internal | string | `"http://hydra"` |  |
| mirage.keto.internal | string | `"http://keto"` |  |
| mirage.kratos.external | string | `"http://kratos"` |  |
| mirage.kratos.internal | string | `"http://kratos"` |  |
| mirage.secretName | string | `nil` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| postgres | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `4000` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.2](https://github.com/norwoodj/helm-docs/releases/v1.11.2)
