# tandoor

![Version: 0.1.6](https://img.shields.io/badge/Version-0.1.6-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.5.17](https://img.shields.io/badge/AppVersion-1.5.17-informational?style=flat-square)

Application for managing recipes, planning meals, building shopping lists and much much more!

**Homepage:** <https://tandoor.dev/>

## Source Code

* <https://github.com/TandoorRecipes/recipes>
* <https://gitlab.com/oecis/charts/>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| extraVolumes | list | `[]` |  |
| fullnameOverride | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"tandoor.local"` |  |
| ingress.tls | list | `[]` |  |
| initContainers | list | `[]` |  |
| nameOverride | string | `""` |  |
| nginx.image.pullPolicy | string | `"IfNotPresent"` |  |
| nginx.image.repository | string | `"nginx"` |  |
| nginx.image.tag | string | `"mainline-alpine"` |  |
| nginx.resources | object | `{}` |  |
| nodeSelector | object | `{}` |  |
| persistence.mediafiles.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.mediafiles.annotations | object | `{}` |  |
| persistence.mediafiles.name | string | `"tandoor-mediafiles"` |  |
| persistence.mediafiles.size | string | `"1Gi"` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| securityContext | object | `{}` |  |
| service.gunicorn.name | string | `"gunicorn"` |  |
| service.gunicorn.port | int | `8080` |  |
| service.gunicorn.type | string | `"ClusterIP"` |  |
| service.nginx.name | string | `"nginx"` |  |
| service.nginx.port | int | `80` |  |
| service.nginx.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tandoor.command | list | `[]` |  |
| tandoor.config.encryptionKey.secretKey | string | `"encryption-key"` |  |
| tandoor.config.encryptionKey.secretName | string | `""` |  |
| tandoor.config.postgres.db | string | `"tandoor"` |  |
| tandoor.config.postgres.host | string | `""` |  |
| tandoor.config.postgres.password.secretKey | string | `"password"` |  |
| tandoor.config.postgres.password.secretName | string | `""` |  |
| tandoor.config.postgres.port | int | `5432` |  |
| tandoor.config.postgres.user | string | `"tandoor"` |  |
| tandoor.extraEnv | list | `[]` |  |
| tandoor.extraVolumeMounts | list | `[]` |  |
| tandoor.image.pullPolicy | string | `"IfNotPresent"` |  |
| tandoor.image.repository | string | `"vabene1111/recipes"` |  |
| tandoor.image.tag | string | `""` |  |
| tandoor.resources | object | `{}` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.2](https://github.com/norwoodj/helm-docs/releases/v1.11.2)
